rpiboot (20260602~161322+nowin-0ubuntu2) stonking; urgency=medium

  * Add missing product-id match (27[16]2) to the modalias in the metainfo
    XML. This pattern should match that in the udev rules (d/70-rpiboot.rules)

 -- Dave Jones <dave.jones@canonical.com>  Fri, 10 Jul 2026 11:25:43 +0100

rpiboot (20260602~161322+nowin-0ubuntu1) stonking; urgency=medium

  * New upstream release required for new SDRAM support (LP: #2158366)
    - New release also fixes DEP-17 compliance (LP: #2139208)

 -- Dave Jones <dave.jones@canonical.com>  Fri, 26 Jun 2026 11:56:52 +0100

rpiboot (20260602~161322) trixie; urgency=medium

  * bootfiles.bin: 2712: Fix secure-boot rpiboot loading
  * apt: update rpi-eeprom dependency

 -- Tim Gover <tim.gover@raspberrypi.com>  Tue, 02 Jun 2026 16:38:39 +0100

rpiboot (20260527~143940) trixie; urgency=medium

  [ Mathew Blowers ]
  * tools: Sign bootsys in the AB partition

  [ Tim Gover ]
  * firmware: 2711: 2712: Update to pieeprom-2026-05-17
  * rpi-eeprom: Update submodule dependency for rpi-eeprom-config A/B
    updates
  * Update firmware to 2026-05-17
  * apt: update rpi-eeprom dependency
  * mass-storage-gadget64: Update boot.img to 6.18 kernel and latest
    2026/05/21 start.elf
  * firmware: 2712: Update to 2026-05-26
  * dependencies: Require rpi-eeprom 28.23
  * apt: update rpi-eeprom dependency

 -- Tim Gover <tim.gover@raspberrypi.com>  Wed, 27 May 2026 14:54:41 +0100

rpiboot (20260429~184516) trixie; urgency=medium

  [ Tim Gover ]
  * udev: Install to /usr/lib/ on Trixe instead of /lib
  * firmware: 2711: 2712: Update bootfiles.bin to 2026-04-29
  * docs: secure-boot tidyup
  * firmware: 2711: Update to 2026-04-14 for newer SDRAM variants
  * apt: update rpi-eeprom dependency

  [ Pierre Pronchery ]
  * Makefile: add support for DESTDIR
  * fmemopen.c: improve portability
  * fmemopen.c: portability fix around funopen()
  * Makefile: register dependency on fmemopen.c

 -- Tim Gover <tim.gover@raspberrypi.com>  Wed, 29 Apr 2026 18:57:22 +0100

rpiboot (20260210~145518) trixie; urgency=medium

  * salsa: Remove extract block
  * firmware: 2711: 2712: Move to pieeprom-2026-02-06
  * apt: update rpi-eeprom dependency

 -- Tim Gover <tim.gover@raspberrypi.com>  Tue, 10 Feb 2026 15:01:50 +0000

rpiboot (20260202~161355) trixie; urgency=medium

  [ Tim Gover ]
  * firmware: 2711: Update to 2026-01-09
  * firmware: 2712: Update to 2026/01/21 to match manufacture
  * Require rpi-eeprom 28.12
  * apt: update rpi-eeprom dependency

  [ Mathew Blowers ]
  * Latest wdi-simple
  * mass storage gadget link no longer just CM4 and CM5

 -- Tim Gover <tim.gover@raspberrypi.com>  Mon, 02 Feb 2026 16:20:30 +0000

rpiboot (20251214~140909) trixie; urgency=medium

  [ Tim Gover ]
  * bootcode: Use USB2 HS mode for loading start.elf / ramdisk

  [ Michele Rizzo ]
  * Increase handled port number up to 255
  * Adjust port number range to 0-98

  [ Nicolai Buchwitz ]
  * Makefile: add platform-specific default mass-storage-gadget directory

  [ Ansgar Schmidt ]
  * Fixing compiler problem of main

 -- Tim Gover <tim.gover@raspberrypi.com>  Mon, 15 Dec 2025 15:04:23 +0000

rpiboot (20251209~095558) trixie; urgency=medium

  * tools: Fix base path in release-scripts/get-latest-fw
  * firmware: 2712: 2711: Move to the 2025-12-08 release
  * apt: update rpi-eeprom dependency

 -- Tim Gover <tim.gover@raspberrypi.com>  Tue, 09 Dec 2025 12:42:00 +0000

rpiboot (20251202~164822) trixie; urgency=medium

  [ Tim Gover ]
  * mass-storage-gadget: Fix EMMC access on CM3+ and CM3E
  * Move trouble-shooting to a separate page
  * docs: secure-boot pi4 tidyup
  * docs: Move diagnostics to the troubleshooting page
  * docs: Move secure-boot reference to a sub-page
  * docs: readme: Minor tidyups and fix links
  * docs: Readme: Highlight mass-storage-gadget and device compatibility
  * docs: secure-boot: Add note about counter-signing.
  * rpi-eeprom: Update for make-pi4-rpiboot-gpio-sd utility
  * readme: Update product names
  * docs: Describe how to enable rpiboot on Pi 4B and Pi 400
  * docs: readme: make-pi4-rpiboot-gpio dependencies
  * docs: secure-boot: Describe the HSM wrapper API
  * firmware: 2712: 2711 bootfiles.bin: Update to 2025-11-27 firmware
  * firmware: 2712: 2711: Update to 2025-11-27
  * tools: Move APT release scripts into a sub-directory
  * apt: update rpi-eeprom dependency

  [ martamomotko ]
  * rpiboot: Output metadata to stdout when path not provided or invalid
  * rpiboot: Enable metadata output by default when metadata is received
    Metadata information is now written to stdout by default when received
    from BCM2712/2711 devices. The -j flag can be used to specify a
    directory for a JSON file output instead. To instruct recovery.bin to
    stop sending metadata, explicitly set recovery_metadata=0 in
    config.txt.

 -- Tim Gover <tim.gover@raspberrypi.com>  Tue, 02 Dec 2025 19:44:24 +0000

rpiboot (20251107~092017) trixie; urgency=medium

  [ Andrew Scheller ]
  * Fix help-text formatting for rpi-make-boot-image
  * Remove inconsistent full stops

  [ Tim Gover ]
  * tools: rpi-get-latest-fw: Updates the Pi4 / Pi5 firmware release
  * firmware: 2711: 2712: Update to 2025-11-05
  * firmware: Update to 2025-11-05 with rpi-eeprom >= 28.8

 -- Tim Gover <tim.gover@raspberrypi.com>  Tue, 11 Nov 2025 12:14:28 +0000

rpiboot (20251002~150524) trixie; urgency=medium

  [ Jack O'Brien ]
  * secure-boot-recovery5: Added verbose docs about debug serial ports.
  * secure-boot-recovery5: BCM2712 needs burnt OTP for signed pieeprom
  * secure-boot-recovery5: Clarify docs about config.txt

  [ Tim Gover ]
  * firmware: 2711: Fixup link to 2711 instead of 2712 firmware
  * mass-storage-gadget: Remove mass-storage-gadget64-cm3
  * mass-storage-gadget: Update boot.img to use MAC address for DHCP
    identifier
  * readme: Document APT install location for rpiboot utilities

 -- Tim Gover <tim.gover@raspberrypi.com>  Thu, 02 Oct 2025 15:10:58 +0100

rpiboot (20250908~162618) trixie; urgency=medium

  * debian: firmware: Update to 2025-08-27

 -- Tim Gover <tim.gover@raspberrypi.com>  Mon, 08 Sep 2025 16:48:25 +0100

rpiboot (20250908~162618) trixie; urgency=medium

  [ Tim Gover ]
  * secure-boot-recovery: Fixup the revoke_devkey date for recovery.bin
  * bootfiles: Reduce the verbosity of bootfiles message
  * rpiboot: Add -V/--version to display the version string.
  * docs: Add metadata docs to the top level Readme.md
  * mass-storage-gadget: Update boot.img for latest firmware and
    6.12.38-v8 kernel
  * mass-storage-gadget64: Add support for BCM2710 devices
  * firmware: 2711: 2712 Move to the pieeprom-2025-08-27 release
  * firmware: bootfiles.bin Update 2711/2712 to the 2025-09-08 release

  [ pseregiet ]
  * rpi-make-boot-image: Fix FAT12 image generation

  [ Péter Szilágyi ]
  * tools: verify HSM signature based on provided public key

  [ Peter Harper ]
  * Readme additions for Windows

  [ Jonas Dohmen ]
  * Restructured readme to add Fedora/RHEL dnf dependencies
  * Removed leftover blank line

  [ Nicolai Buchwitz ]
  * eeprom-erase: Add symlink for bootcode5.bin
  * rpiboot: Lookup files in device specific folders first

  [ Cameron Tacklind ]
  * Make any keypress work to close the window

 -- Tim Gover <tim.gover@raspberrypi.com>  Mon, 08 Sep 2025 16:44:46 +0100

rpiboot (20250519~100421+trixie) trixie; urgency=medium

  * Switch gbp.conf debian branch to pios/trixie

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 29 Jul 2025 13:21:23 +0100

rpiboot (20250519~100421) bookworm; urgency=medium

  * secure-boot-recovery: program_pubkey now automatically sets
    revoke_devkey
  * windows: Update for BCM2711/BCM2712 2025-05-08 firmware + generic
    BCM2710 and older msd.elf
  * debian: Update rpi-eeprom dependencies for recovery.bin
    (revoke_devkey)

 -- Tim Gover <tim.gover@raspberrypi.com>  Mon, 19 May 2025 11:50:02 +0100

rpiboot (20250516~140109) bookworm; urgency=medium

  * rules: Update the 2711/2712 bootloaders to 2025-05-08

 -- Tim Gover <tim.gover@raspberrypi.com>  Fri, 16 May 2025 14:01:09 +0100

rpiboot (20250514~214724) bookworm; urgency=medium

  [ Tim Gover ]
  * mass-storage-gadget: Update to rpi-6.12.y kernel
  * mass-storage-gadget64-cm4: Update to rpi-6.12 kernel
  * Add a Hardware Security Module wrapper script interface
  * WIP: Add Github CI workflow tests
  * test: Add a README.md and test CI
  * firmware: 2712: 2711: Move to the 2025-05-08 release

  [ Gaël PORTAY ]
  * secure-boot-recovery: Fix typo

 -- Tim Gover <tim.gover@raspberrypi.com>  Thu, 15 May 2025 17:24:23 +0100

rpiboot (20250401~081331) bookworm; urgency=medium

  [ Tim Gover ]
  * Add support for overriding files in bootfiles.bin
  * mass-storage-gadget64-cm3: Update GPU firmware for 2710 and older
    devices
  * msd: Remove legacy msd/start4.elf and use a common legacy msd .elf
    file
  * rpi-make-boot-image: Drop start4x on 2711
  * rpi-make-boot-image: Don't include Pi5 specific kernel + initramfs in
    pi4 mode
  * mass-storage-gadget64: Update boot.img for util-linux blkid tools
  * firmware: 2712: Update to pieeprom-2025-03-10
  * update-pieeprom: Fix handling for SRC_IMAGE in code-signing mode
  * update-pieeprom.sh: Remove redundant SIGNED_BOOT=1 flag
  * make: Remove BUILD_TIMESTAMP
  * update-pieeprom.sh: Initialise SIGN_FIRMWARE variable
  * firmware: Update rpi-eeprom submodule

  [ Richard Oliver ]
  * rpi-make-boot-image: Prefer 512-byte clusters
  * rpi-make-boot-image: Set disk geometry
  * rpi-make-boot-image: Use KiB for sizes internally
  * rpi-make-boot-image: Estimate size with clusters
  * udev: Deauthorise boot rom usb-storage
  * pkg: Include mass-storage-gadget64-cm3

  [ Leon Anavi ]
  * secure-boot-example/README.md: Fix typo

  [ Matt Wildoer ]
  * Update Makefile to handle date formatting for macOS compatibility

 -- Tim Gover <tim.gover@raspberrypi.com>  Tue, 01 Apr 2025 08:14:36 +0100

rpiboot (20250227~132106) bookworm; urgency=medium

  * version: Drop git-version prefix

 -- Tim Gover <tim.gover@raspberrypi.com>  Thu, 27 Feb 2025 13:22:44 +0000

rpiboot (20250227~123606) bookworm; urgency=medium

  * makefile: Fix check for debian/changelog in PKG_VER
  * makefile: Pass build-date as a make flag for reproducible builds
  * main: Tidyup error handling in second stage setup

 -- Tim Gover <tim.gover@raspberrypi.com>  Thu, 27 Feb 2025 13:06:00 +0000

rpiboot (20250226~171348) bookworm; urgency=medium

  * makefile: Only set the PKG_VERSION in APT builds
  * debian: Remove debian build scripts from master

 -- Tim Gover <tim.gover@raspberrypi.com>  Thu, 27 Feb 2025 12:16:06 +0000

rpiboot (20250226~163138) bookworm; urgency=medium

  * readme: Expand build instructions to mention 'make install' and
    INSTALL_PREFIX
  * salsa-ci: Add the extract source section as with rpi-eeprom
  * debian: rpi-make-boot-image: Drop direct dependency on coreutils and
    tar
  * makefile: Pass CPPFLAGS - required for APT (debian/hardening)

 -- Tim Gover <tim.gover@raspberrypi.com>  Wed, 26 Feb 2025 16:33:08 +0000

rpiboot (20250221~161557) bookworm; urgency=medium

  * win32: Update windows installer for latest bootfiles.bin firmware
  * firmware: 2712: Update to the 2025-02-12 release
  * 2712: Fix incorrect filename for pieeprom.bin
  * firmware: 2711: Update to the 2025-02-11 release
  * rpiboot: Use mass-storage-gadget-64 by default on BCM2711
  * debian: Add a build time dependency on xxd
  * Add gbp.conf
  * debian: Require rpi-eeprom >= 27.4
  * debian: Select pieeprom-2025-02-12-2712 and pieeprom-2025-02-11-2711

 -- Tim Gover <tim.gover@raspberrypi.com>  Fri, 21 Feb 2025 16:45:08 +0000

rpiboot (20250129~123632) bookworm; urgency=medium

  [ Tim Gover ]
  * recovery5: Remove redundant recovery.bin file
  * secure-boot-recovery5: Fixup recovery.bin link
  * win32: Remove the redundant .bat file for 32-bit mass-storage gadget
  * win32: Include product names in rpiboot shortcut links
  * win32: Add a help message to the mass-storage-gadget batch file
  * win32: Update the installer executable
  * mass-storage-gadget64: Add mmc-utils and other useful commands
  * 2712: Update recommended boot.conf for default provisioning setup
  * Remvove the 32-bit mass-storage-gadget
  * Make mass-storage-gadget a symlink to mass-storage-gadget64
  * rpi-imager-embedded: Remove the old version of the imager boot.img
  * readme: Assorted update for Compute Module 5
  * mass-storage-gadget64: docs - Fix comments in config.txt
  * secure-boot-recovery: Update README for Pi4 instructions
  * firmware: 2712: Move to the 2024-11-27 release
  * rpiboot: Provide a short link to the troubleshooting guide on startup
  * secure-boot-example: Update to work on both Compute Module 4 and
    Compute Module 5
  * pi5: Improve path handling if bootfiles.bin is not found
  * firmware: 2712: Update to pieeprom-2025-01-22
  * mass-storage-64: Restore symlink to bootfiles.bin
  * README: mass-storage-gadget -> mass-storage-gadget64
  * rpiboot: Add note about rpiboot jumper to the startup guidance

  [ tinyboxvk ]
  * Update Readme.md
  * Update Readme.md
  * Update README.md
  * Update config.txt
  * Update config.txt
  * Update Readme.md
  * Fix typos

  [ Stanislav Kusovskyi ]
  * mass-storage-gadget64: fix invokes of extra tools in sign.sh

  [ Rasmus Villemoes ]
  * Makefile: make it work better in a cross-build scenario

  [ Serge Schneider ]
  * debian: add salsa-ci.yml

  [ Bryce Schober ]
  * mass-storage-64: Suggest docker build environment

 -- Tim Gover <tim.gover@raspberrypi.com>  Wed, 29 Jan 2025 12:36:32 +0000

rpiboot (20241107~183156) bookworm; urgency=medium

  [ Tim Gover ]
  * win32: Switch to 64-bit Cygwin and update to latest 2711/2712 firmware
  * firmware: Update the rpi-eeprom submodule
  * debian: Require rpi-eeprom 26.3 or newer for CM5 / Pi500 support

  [ wa1tf0r.me ]
  * fix typo
  * fix formatting

  [ Rasmus Villemoes ]
  * make-boot-image: remove hard-coded path to mkfs.fat utility
  * make-boot-image: use mcopy if available
  * make-boot-image: preserve file attributes

  [ Richard Oliver ]
  * debian: Package rpi-make-boot-image

  [ Thomas Petazzoni ]
  * Makefile: allow passing CFLAGS/LDFLAGS

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 07 Nov 2024 18:42:58 +0000

rpiboot (0~20240926~102326+git82d8755+nowin-0ubuntu1) plucky; urgency=medium

  * New upstream release, 20240926~102326 (LP: #2032178)
  * d/control: bump standards version

 -- Dave Jones <dave.jones@canonical.com>  Wed, 30 Oct 2024 10:30:02 +0100

rpiboot (20240926~102326) bookworm; urgency=medium

  [ Tim Gover ]
  * Delete state pieeprom.bin files for recovery / recovery5
  * docs: Update Pi5 secure-boot docs
  * secure-boot: 2712: Update to docs to indicate BETA status
  * docs: Remove BETA tag from secure-boot on Pi5
  * recovery: Remove the stale pieeprom.sig and pieeprom.bin files
  * firmware: 2712: Update to the 2024-09-10 default release
  * mass-storage-gadget: Deprecate this in favour of the 64-bit image
  * secure-boot-recovery: Disable write-protect in the reference config.txt file
  * secure-boot-recovery: Include the recovery_metadata documentation
  * sign.sh: Add a log message to indicate that boot.img is being signed
  * firmware: 2712: Update to the 2024-09-23 default release

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 26 Sep 2024 13:46:50 +0100

rpiboot (20240820~105714) bookworm; urgency=medium

  [ Tim Gover ]
  * rpiboot: Increase ep_read control transfer timeout

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 20 Aug 2024 12:02:35 +0100

rpiboot (20240816~170020) bookworm; urgency=medium

  [ Tom Dewey ]
  * secure-boot-recovery5: Fixup wording around recovery.bin

  [ Giampiero Baggiani ]
  * recovery5 README minor fix

  [ Tim Gover ]
  * firmware: 2711: Update to latest Pi4 firmware pieeprom-2024-05-17.bin
  * mass-storage-gadget64-cm3: Create a 64-bit mass-storage gadget for CM3
  * recovery: Add config.txt with example options
  * firmware: Update to the latest 2712 firmware - 2024-06-05
  * firmware: 2711: Move to the 2024-07-30 release
  * mass-storage-gadget64: boot.img: Add USB serial gadget
  * firmware: bootfiles: Update for preliminary CM5 Lite support
  * docs: Guide users towards Raspberry Pi secure-boot provisioner
  * firmware: Update 2711/2712 firmware for OTP metadata and use latest 2712
    bootloader
  * recovery: recovery5: Fixup meta-data comments in config.txt
  * debian: Pull the firmware files from installed rpi-eeprom package
  * debian: Require rpi-eeprom version >= 24

  [ martamomotko ]
  * rpiboot: Update to check if directory exists
  * rpiboot: Add metadata output option
  * Fix parsing of the DUID metadata string

  [ Chris Burton ]
  * Add missing newline.

  [ Serge Schneider ]
  * Lintian fixes

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 19 Aug 2024 23:21:53 +0100

rpiboot (20240422~085300) bookworm; urgency=medium

  [ Tim Gover ]
  * bootloader: Update to 2023-01-11 release
  * secure-boot-recovery: boot.conf - Update BOOT_ORDER to include NVMe
  * Update secure-boot docs - add chain of trust diagram
  * Update EEPROM image to pieeprom-2023-05-11
  * bootfiles: Load EEPROM DDR FW from bootfiles.bin
  * recovery5: Preliminary support for EEPROM updates on Pi5
  * mass-storage-gadget64: Add 64-bit mass-storage-gadget for BCM2711 BCM2712
  * rpiboot: Update top level docs for Raspberry Pi 5
  * windows: Add windows support for Raspberry Pi 5
  * gitignore: Ignore Vi .swp files
  * rpiboot: Read firmware from a package (.tar) file
  * rpiboot: Add support for 2712 USB descriptors
  * bootfiles: Move to firmware sub-directory
  * documentation: Fixup .org URLs
  * Update 2712 firmware to pieeprom-2024-02-16 release
  * mass-storage-gadget64: Update for preliminary BCM2712D0 and CM5 support
  * docs: Note that CM4S is compatible with CM4S RPIBOOT software
  * mass-storage-gadget64: Reduce image size, fix DHCP and autologin to consoles
  * rpi-eeprom: debian: Import rpi-eeprom tools as a submodule
  * Readme.md: Fix some markdown issues
  * bootloader: Use rpi-eeprom submodule for bootloader binaries
  * update-pieeprom: Use system versions of rpi-eeprom tools in APT installs
  * Update debian package following submodule reorg
  * Makefile: Update install to use same msd path as APT
  * Makefile: Add support for INSTALL_PREFIX
  * 2712: Default to mass-storage-gadget64 if no direcoty is specified
  * win32: Update for submodules and drop recovery
  * readme: Specify the python3-cryptodome library instead of pip install
  * recovery5: pieeprom.original.bin should be a symlink
  * firmware: Update the 2711 bootloader to pieeprom-2024-04-15
  * firmware: Update 2711 firmware in bootfiles.bin with secure-boot support
  * bootfiles: Use the bootfiles loader for mass-storage gadget images
  * secure-boot-recovery: Document the reboot flag
  * mass-storage-gadget64: Update for CM5
  * BCM2712: Preliminary tool support for secure-boot
  * firmware: Update 2712 to 2024-04-20 release

  [ Torben Woltjen ]
  * Fix typo that resulted in opposite meaning (does -> doesn't)

  [ Phil Elwell ]
  * README: Include build-essential as a pre-requisite

  [ TM ]
  * Fix typo

  [ mennovf ]
  * Update install_script.nsi

  [ Peter Harper ]
  * Increase timeout for libusb_control_transfer
  * Add options to set the key offset and length

  [ axel simon ]
  * fix link to ./tools/rpi-otp-private-key

  [ Rory B ]
  * fix typo

  [ Tom Dewey ]
  * rpiboot: Allow selecting by serial number
  * rpiboot: review feedback
  * rpiboot: review second round
  * rpiboot: Close libusb handles during search
  * rpiboot: Use libusb without prefix
  * rpiboot: Fixup USB VID typo
  * rpiboot: Update 05ac log message

 -- Tim Gover <tim.gover@raspberrypi.com>  Mon, 22 Apr 2024 08:53:16 +0100

rpiboot (20221215~105525) bullseye; urgency=medium

  [ Tim Gover ]
  * rpi-eeprom-digest: Only require openssl + xxd for RSA operations
  * verifySig tidyup
  * docs: Update mass-storage gadget + secure-boot
  * secure-boot-example: Update boot.img and docs for cryptsetup example
  * Update issue templates
  * git: Create tags that match the APT releases
  * bin2c: Add cast to silence isalnum warning
  * usbboot: Indicate when a file is missing / empty.
  * rpi-otp-private-key: Add an interactive warning prompt for writes
  * readme: Add note about activity LED / nRPIBOOT
  * pieeprom: Update to latest default release (2022-12-07)
  * rpiboot: Reduce libusb verbosity level with -v

  [ Nicolai Buchwitz ]
  * Skip devices which don't match filter criteria

  [ andrum99 ]
  * rpi-otp-private-key: fix typo

  [ connorfuhrman ]
  * Updated README for PKG_CONFIG_PATH env variable

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 15 Dec 2022 20:53:04 +0000

rpiboot (20221104~153421) bullseye; urgency=medium

  [ Tim Gover ]
  * win32: Update windows installer and make it smaller
  * Revert pieeprom.bin to previous stable release (2022-09-02)
  * Update pieeprom to 2022-11-04

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 04 Nov 2022 19:07:17 +0000

rpiboot (20221031~085458) bullseye; urgency=medium

  [ Tim Gover ]
  * mass-storage-gadget: Remove activity LED for CM3 compatibility
  * secure-boot-msd: Update start4.elf to the same version as in /msd
  * rpi-eeprom-digest: Add an option to verify RSA signed files.
  * rpi-eeprom-digest: Fix cleanup of TMP_DIR
  * rpi-eeprom-digest: Fix typo in default env var for OPENSSL executable
  * readme.md: Add a troubleshooting section
  * tools: Add rpi-bootloader-key-convert
  * secure-boot: Update example to use the raspberrypi-secure-boot buildroot example
  * secure-boot-example: Update the images to the new buildroot example
  * mass-storage-gadget: Update & move source repo to official Raspberry Pi buildroot fork
  * mass-storage-gadget: Update image and instructions
  * Update EEPROM to 2022-10-18
  * tools: vcmailbox wrappers for managing 256 bit OTP private key
  * Update mass-storage-gadget build instructions

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 31 Oct 2022 11:49:39 +0000

rpiboot (20220815~145439) bullseye; urgency=medium

  [ Chris Burton ]
  * Add option to look for CM with specific USB path.

  [ Tim Gover ]
  * mass-storage-gadget: Switch DWC mode from OTG to peripheral

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 15 Aug 2022 16:57:53 +0100

rpiboot (20220804~165403) bullseye; urgency=medium

  [ Tim Gover ]
  * Bump Win32 install for 20220718~085937 release
  * Update the EEPROM release to 2022-08-02

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 08 Aug 2022 08:44:43 +0100

rpiboot (20220718~085937) bullseye; urgency=medium

  [ Tim Gover ]
  * Replace duplicated bootcode4.bin with links to bootcode4.bin / recovery.bin

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 08 Aug 2022 08:43:54 +0100

rpiboot (20220715~091537) bullseye; urgency=medium

  [ Tim Gover ]
  * Replace duplicated bootcode4.bin with links to bootcode4.bin / recovery.bin

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 18 Jul 2022 09:31:34 +0100

rpiboot (20220708~133956) bullseye; urgency=medium

  [ Tim Gover ]
  * readme: Fix links/formatting
  * secure-boot-example: Add step by step example / quick start
  * bootcode4: Improved DDR setup for old (or missing) EEPROM images
  * Update recovery/rpi-eeprom-config

  [ andrum99 ]
  * Copy edit

  [ Phil Elwell ]
  * README: pkg-config is also a dependency

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 11 Jul 2022 08:43:19 +0100

rpiboot (20220504~214218) bullseye; urgency=medium

  [ Tim Gover ]
  * Update the Windows release to 20220427~095022
  * msd: Fix support for older EEPROM release in on 2711
  * Revert msd/bootcode4.bin to earlier release

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 05 May 2022 09:15:30 +0100

rpiboot (20220427~095022) bullseye; urgency=medium

  [ Wojtek Porczyk ]
  * tools/update-pieeprom.sh: Fix cleanup exiting 1

  [ Daniel Cousens ]
  * add sudo hint
  * fix typo

  [ Dan Pastusek ]
  * Add inline comments about boot order
  * Update boot.conf

  [ Evan Gates ]
  * main: check _POSIX_VERSION for fmemopen

  [ Tim Gover ]
  * Update EEPROM, recovery.bin and bootcode4.bin to 2022-04-26

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 27 Apr 2022 14:26:11 +0100

rpiboot (0~20220315+git6fa2ec0+nowin-0ubuntu1) jammy; urgency=medium

  * Initial import into Ubuntu. (LP: #1959592)

 -- Dave Jones <dave.jones@canonical.com>  Mon, 31 Jan 2022 15:23:38 +0000

rpiboot (20220315~121405) bullseye; urgency=medium

  [ Tim Gover ]
  * pieeprom-2022-02-22: Fix EMMC secure-boot
  * secure-boot-example: Replace example boot.img with minimal 64bit busybox initrd
  * Add mass-storage-gadget replacement for msd on 2711
  * Add Raspberry Pi Imager - embedded
  * Update the top-level Readme.md to describe the '-d' programs
  * Update packaging for win32/debian installers
  * Simplify debian install file (#123)

  [ Yago ]
  * Fix -c and -i default option

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 15 Mar 2022 10:31:33 +0000

rpiboot (20220208~181027) bullseye; urgency=medium

  [ Tim Gover ]
  * pieeprom-2022-02-08: Fix boot failure in locked secure-boot

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 09 Feb 2022 10:31:22 +0000

rpiboot (20220131~103329) bullseye; urgency=medium

  * Add python3 dependency

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 31 Jan 2022 10:33:51 +0000

rpiboot (20220131~101805) bullseye; urgency=medium

  [ Tim Gover ]
  * Update EEPROM to latest stable release 2022-01-25
  * secure-boot: Specify the minimum version for secure-boot mode.
  * eeprom-erase: Add option to erase the SPI EEPROM
  * Add eeprom-erase to the APT package
  * secure-boot: Remove unnecessary warning

  [ katiefaith ]
  * Fixed regex for sig file to replace only extension
  * Update tools/update-pieeprom.sh to not truncate a filepath with '.'s
    but no file extension e.g. previously, ../../filename would generate ../.sig

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 31 Jan 2022 10:21:24 +0000

rpiboot (20220111~130126) bullseye; urgency=medium

  [ Tim Gover ]
  * make-boot-image: Use losetup instead of udisksctl
  * secure-boot BETA documentation updates
  * beta: Add support for secure-boot - see Readme.md
  * secure-boot: Added example boot.img
  * make-boot-image: Fix typo in docs AFT_SIZE -> FAT_SIZE
  * secure-boot: Move the example PEM file to secure-boot-example
  * secure-boot: Update recovery,bootcode4 + EEPROM to latest beta - 2021-10-27
  * secure-boot: Update Readme to update max ramdisk size to 96MB
  * Readme: Add docs for examining the contents of boot.img
  * secure-boot: Add more documentation about the RSA signatures and add optional public key argument
  * make-boot-image: Fix unmount and set GID
  * make-boot-image: Enable the image size to be specified
  * Update the default EEPROM image to 2021-11-22
  * rpi-eeprom-config: Pull in --edit fixes from rpi-eeprom repo
  * secure-boot-recovery: Update to latest 2021-11-22 EEPROM
  * Remove imager beta release
  * bootloader: Enable revoke_devkey in secure-boot recovery.bin
  * rpiboot: Add build date and version

  [ Peter Harper ]
  * bootloader: Remove NVMe beta files
  * Update bootcode4.bin
  * Update the default EEPROM image to 2021-12-02

  [ Phil Elwell ]
  * Bump bootcode.bin
  * msd: Fix non-2711 MSD support

  [ Nils Werner ]
  * Update udev rules to use uaccess tag

  [ Christophe Blaess ]
  * Fix `install` and `uninstall` targets in Makefile.

  [ Dodain ]
  * Corrected the board flag
  * Corrected the -b flag in the readme.md

  [ Mathew Wicks ]
  * Use pkg-config to locate libusb-1.0

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 11 Jan 2022 11:45:02 +0000

rpiboot (20210714~083443) buster; urgency=medium

  [ Tim Gover ]
  * Don't load bootcode from the overlay directory
  * pieeprom-2021-01-16: Update to latest release for BCM2711 XHCI boot
  * Update EEPROM image to latest CM4 manufacturing image + configuration
  * msd: CM4: Fix occasional USB errors
  * Add native Raspberry Pi Imager port - beta
  * Update Raspberry Pi 4 EEPROM to pieeprom-2021-07-06

  [ Peter Harper ]
  * Add nvme folder to enable testing nvme beta changes
  * Update nvme beta bootloader

  [ Ramon Roche ]
  * readme: add macOS build step

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 14 Jul 2021 15:58:23 +0100

rpiboot (20201016~124509) buster; urgency=medium

  [ Tim Gover ]
  * Update rpiboot for CM4 and rationlise -d behaviour.

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 16 Oct 2020 14:03:28 +0100

rpiboot (20200217~075142) buster; urgency=medium

  [ Phil Elwell ]
  * Smallpacket (#26)

  [ Petr Tesarik ]
  * Add support for Pi4 (#42)

  [ Tim Gover ]
  * Fix serial check for BCM2711 (#46)

  [ maxnet ]
  * Allow members of plugdev group to execute rpiboot without root (#27)

  [ Douglas Huff ]
  * Fixup for recent firmware inclusion changes (#34)

  [ Phil Elwell ]
  * Fix cross-platform building

  [ Chris Burton ]
  * Add missing newline to print. (#48)
  * Change timeout in ep_read to 3 seconds (#50)

 -- Serge Schneider <serge@raspberrypi.org>  Mon, 02 Mar 2020 12:27:11 +0000

rpiboot (20180627~140218) stretch; urgency=medium

  * Switch "r" to "rb" for fmemopen
  * Add cross platform method of building in a binary
  * Compile bootcode.bin and start.elf into rpiboot
  * Change USB device settings to better work with all devices
  * usbboot: Add support for multiple instances
  * Add extra delay between disconnecting and reconnecting
  * Fixed numerous problems with enumerating CM3 / Pi Zero

 -- Serge Schneider <serge@raspberrypi.org>  Wed, 04 Jul 2018 17:46:29 +0100

rpiboot (20171023~154601) stretch; urgency=medium

  * Directory overlay support

 -- Serge Schneider <serge@raspberrypi.org>  Fri, 27 Oct 2017 10:21:19 +0100

rpiboot (20170926+2) stretch; urgency=medium

  * Change rpiboot behaviour to check /usr/share/rpiboot/msd
  * Add lintian-overrides

 -- Serge Schneider <serge@raspberrypi.org>  Tue, 26 Sep 2017 16:11:13 +0100

rpiboot (20170926+1) stretch; urgency=medium

  * Install msd files without creating a subdirectory

 -- Serge Schneider <serge@raspberrypi.org>  Tue, 26 Sep 2017 14:55:50 +0100

rpiboot (20170926) stretch; urgency=medium

  * Initial Release.

 -- Serge Schneider <serge@raspberrypi.org>  Tue, 26 Sep 2017 13:31:20 +0100
